/**
 *
 */

var persistenceBanco;

jQuery(document).ready(function() {
	loadTelaSincronizar();
});

var progressBar = null;

function loadTelaSincronizar() {
	document.addEventListener("deviceready", onTelaSincronizar, false);
}

function onTelaSincronizar() {
	document.addEventListener("backbutton", botaoBackSinc, false);
	(function($) {
		//eventoBotaoClick('.botao');
		eventoBotaoClick("#botaoDadosIniciais");
		$(".Menu").hide(0);
		$(".opcaoMenu").on("click", function(e) {
			e.preventDefault();
			// $('.Menu').toggle('slow');
			// var menu = $(".Menu");
			// var he = $("#header");
			// 
			// $(".Menu").toggleClass("menuAberto");
			// $(".opcaoMenu").toggleClass("menuAberto");
			// console.log("TROCOU");

		});

		var botoesFont = $(".botaoNovo");
		var tamanho = botoesFont.length;
		for (var i = 0; i < tamanho; i++) {
			if (i == 0) {
				$(botoesFont[i]).fitText(0.3, {
					minFontSize: '15px',
					maxFontSize: '20px'
				});
			} else {
				$(botoesFont[i]).fitText(1.2, {
					minFontSize: '13px',
					maxFontSize: '30px'
				});
			}
		}
		var a = $(".container .row #cadastroDescricaoDois");
		var tamanho = a.length;

		for (var i = 0; i < tamanho; i++) {
			$(a[i]).fitText(1.2, {
				minFontSize: '13px',
				maxFontSize: '30px'
			});
		}

		var b = $("input");

		for (var i = 0; i < tamanho; i++) {
			$(b[i]).fitText(1.2, {
				minFontSize: '13px',
				maxFontSize: '30px'
			});
		}

		var c = $("select");

		for (var i = 0; i < tamanho; i++) {
			$(c[i]).fitText(1.2, {
				minFontSize: '13px',
				maxFontSize: '30px'
			});
		}

		var d = $("#botoesCadastro");
		d = d.find('a');

		for (var i = 0; i < tamanho; i++) {
			$(d[i]).fitText(1, {
				minFontSize: '13px',
				maxFontSize: '30px'
			});
		}

		function eventoTrocaImagem(e) {
			var src = ($(this).attr('src') === '../../img/icon/search.png') ? '../../img/icon/search_press.png' : '../../img/icon/search.png';
			$(this).attr('src', src);
		}


		//$("#iconDadosIniciais").one('touchstart touchend', eventoTrocaImagem);

		$("#botaoDadosIniciais").on('click', function(e) {
			eventoTrocaImagem(e);
			buscarDadosIniciais();
			return false;
		});

		$('#botaoDemo').on('click', function() {
			botaoDemo();
		});
		$('#botaoSincronizar').on('click', function() {
			botaoSincronizar();
		});
		abrirBanco(function(a) {
			persistenceBanco = a;
			persistenceBanco.query("vendedor").all().execute().done(function(resultsUm) {
				inserirOptionsVendedor(resultsUm);

				persistenceBanco.query("empresa").all().execute().done(function(resultsDois) {
					inserirOptionsEmpresa(resultsDois);

					persistenceBanco.confSinc.query().filter().execute().done(function(resultsTres) {
						if (resultsTres.length > 0) {
							preencherDadosIniciais(resultsTres[0]);
						} else {
							if (confirm('Configurar aparelho para versão de demonstração?')) {
								botaoSincronizarDemo();
							}
						}
					});
				});
			});
		});

	})(jQuery);

}

function buscarDadosIniciais() {

	try {
		(function($) {

			var form = $("#cadastroForm");

			var ip = form.find('input[name="ipServidor"]').val();
			var banco = form.find('input[name="bancoDeDados"]').val();

			jQuery('#empresa').find('option').remove();
			jQuery('#vendedor').find('option').remove();

			if (ip != '' && banco != '') {

				sincronizarDadosIniciais(ip, banco, function(empresasRetorno) {
					inserirOptionsEmpresa(empresasRetorno);
					inserirEmpresaBanco(empresasRetorno);
				}, function(vendedoresRetorno) {
					inserirOptionsVendedor(vendedoresRetorno);
					inserirVendedorBanco(vendedoresRetorno);

				}, function(spin) {
					jQuery(window).resize(function() {});
					spin.stop();
				});
			}

		})(jQuery);

	} catch (e) {
		alert(e.message);
	}

}

function preencherDadosIniciais(a) {
	(function($) {
		var form = $("#cadastroForm");

		form.find('input[name="ipServidor"]').val(a.ip);
		form.find('input[name="bancoDeDados"]').val(a.banco);
		form.find('select[name="empresa"]').val(a.empresa);
		form.find('select[name="vendedor"]').val(a.vendedor);

	})(jQuery);

}

function apagarInserirDados(a) {

	persistenceBanco.confSinc.clear().done(function(results) {
		adicionarBanco(persistenceBanco, 'confSinc', a, function() {});
	});

	try {
		sincronizarTodosDados(a.ip, a.banco, a.empresa, a.vendedor, function() {
			window.parent.location.replace('../../../index.html');
		});
	} catch (e) {
		alert(e.message);
	}

}

function botaoSincronizar() {
	jQuery('body,html').scrollTop(0);
	if (confirm('Essa Opção irá apagar todos os dados, deseja continuar?')) {
		executarSincronizacao(2);
	}

	//	navigator.notification.confirm('Essa Opção irá apagar todos os dados, deseja continuar?', executarSincronizacao, 'SmartMobile - Implantar', ['Não', 'Sim']);
	//executarSincronizacao(2);

}

function botaoSincronizarDemo() {
	jQuery('body,html').scrollTop(0);

	if (confirm('Essa Opção irá apagar todos os dados, deseja continuar?')) {
		executarSincronizacaoDemo(2);
	}

	//	navigator.notification.confirm('Essa Opção irá apagar todos os dados, deseja continuar?', executarSincronizacao, 'SmartMobile - Implantar', ['Não', 'Sim']);
	//executarSincronizacao(2);

}

function executarSincronizacao(botao) {
	if (botao == 2) {
		var ads = {
			'teste': {
				type: 'iframe',
				src: '../../view/popup/progress/progressoClientesProdutos.html'
			}
		};
		jQuery('.container').adPopupPro({
			ads: ads,
			show_type: 'always',
			show_chance: 1,
			show_close_button: false,
			mobile: true,
			tablets: true,
			min_screen_size: '0x0',
			internet_explorer: 'normal',
			os: '',
			cookie_id: '2',
			popup_color: 'light',
			popup_shadow: true,
			overlay_opacity: 0.5,
			overlay_color: 'dark',
			overlay_close: false,
			escape_close: false,
			auto_close_after: false
		});

		setTimeout(function() {
			var popp = jQuery('#iframePopUp').contents().find('#barProgresso');
			popp.delay(100).css('width', '50%');
			sincronizarFinal();
		}, 10);

	}

}

function executarSincronizacaoDemo(botao) {

	if (botao == 2) {
		var ads = {
			'teste': {
				type: 'iframe',
				src: '../../view/popup/progress/progressoClientesProdutos.html'
			}
		};

		jQuery('.container').adPopupPro({
			ads: ads,
			show_type: 'always',
			show_chance: 1,
			show_close_button: false,
			mobile: true,
			tablets: true,
			min_screen_size: '0x0',
			internet_explorer: 'normal',
			os: '',
			cookie_id: '2',
			popup_color: 'light',
			popup_shadow: true,
			overlay_opacity: 0.5,
			overlay_color: 'dark',
			overlay_close: false,
			escape_close: false,
			auto_close_after: false
		});



		setTimeout(function() {
			var popp = jQuery('#iframePopUp').contents().find('#barProgresso');
			popp.delay(100).css('width', '10%');
			sincronizarFinalDemo();
		}, 10);
	}
}

function sincronizarFinal() {
	(function($) {
		setTimeout(function() {
			var form = $("#cadastroForm", window.parent.document);

			ip = form.find('input[name="ipServidor"]').val();
			banco = form.find('input[name="bancoDeDados"]').val();
			empresa = form.find('select[name="empresa"]').val();
			vendedor = form.find('select[name="vendedor"]').val();

			conf = '{';
			conf += '"ip": "' + ip + '",';
			conf += '"banco": "' + banco + '",';
			conf += '"empresa": ' + empresa + ',';
			conf += '"vendedor": ' + vendedor + '';
			conf += '}';

			apagarInserirDados(JSON.parse(conf));
		}, 1000);

	})(jQuery);
}

function sincronizarFinalDemo() {
	(function($) {
		setTimeout(function() {

			conf = '{';
			conf += '"ip": "201.47.91.63:3390",';
			conf += '"banco": "demo",';
			conf += '"empresa": 1,';
			conf += '"vendedor": 1';
			conf += '}';

			apagarInserirDados(JSON.parse(conf));
		}, 1000);

	})(jQuery);
}

function botaoDemo() {
	botaoSincronizarDemo();
}

function botaoBackSinc() {
	window.location.replace('../../index.html');
}

function inserirVendedorBanco(a) {
	var retorno = '[';
	for (var i = 0; i < a.length; i++) {
		if (i > 0) {
			retorno += ',';
		}
		retorno += JSON.stringify(a[i]);
	};
	retorno += ']';
	adicionarBanco(persistenceBanco, 'vendedor', JSON.parse(retorno), function() {});
}

function inserirEmpresaBanco(a) {
	var retorno = '[';
	for (var i = 0; i < a.length; i++) {
		if (i > 0) {
			retorno += ',';
		}
		retorno += JSON.stringify(a[i]);
	};
	retorno += ']';
	adicionarBanco(persistenceBanco, "empresa", JSON.parse(retorno), function() {});
}

function inserirOptionsEmpresa(a) {
	jQuery('#empresa').find('option').remove();
	for (var i = 0; i < a.length; i++) {
		jQuery('#empresa').append('<option value="' + a[i].idEmpresa + '">' + a[i].idEmpresa + ' - ' + a[i].razao + '</option>');
	}
}

function inserirOptionsVendedor(a) {
	jQuery('#vendedor').find('option').remove();
	for (var i = 0; i < a.length; i++) {
		jQuery('#vendedor').append('<option value="' + a[i].idVendedor + '">' + a[i].idVendedor + ' - ' + a[i].nome + '</option>');
	}
}

function getValorLoading() {
	atual++;
	var retorno = (100 * atual) / max;

	if (retorno == 100) {
		atual = 0;
	}

	return retorno;
}